This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 642926 - Add Red Hat Errata Page by default shows 'Red Hat Enterprise Linux 5' for child channels in the Channel/Channel version's drop down list
Add Red Hat Errata Page by default shows 'Red Hat Enterprise Linux 5' for chi...
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Šimon Lukašík
: Regression
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2010-10-14 04:23 EDT by Vishal Gaikwad
Modified: 2011-03-17 10:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause Not checking channel version for child channels Consequence When Adding Red Hat erratum to a child channel, always list of RHEL5 errata will be offered to clone Result When Adding Red Hat erratum to a child channel, correct list of errata will be offered to clone
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-17 10:10:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vishal Gaikwad 2010-10-14 04:23:22 EDT
Description of problem:
Adding Errata using 'Channel -> Manage Software Channels -> 'Clone Child Channel' -> Errata -> Add -> Add Red Hat Errata, shows 'Red Hat Enterprise Linux 5' in the Channel version drop down list, even if clone channel's Parent channel is 'Red Hat Enterprise Linux 4' 

Version-Release number of selected component (if applicable):
Red Hat Network Satellite 5.3.0

How reproducible:
Always

Steps to Reproduce:
1. Clone a RHEL 4 child channel 
2. 'Channel -> Manage Software Channels -> 'Cloned Child Channel' -> Errata -> Add -> Add Red Hat Errata
3. The Channel Version and Channel shows 'Red Hat Enterprise Linux 5'
  
Actual results:
The Channel Version and Channel shows 'Red Hat Enterprise Linux 5'

Expected results:
The Channel Version and Channel should show 'Red Hat Enterprise Linux 4', or it's correct Parent Channel

Additional info:
This issue is not reproducible for Base/Parent Clone channels.
Not reproducible on RHNS 5.2.x as well.
Comment 3 Tomas Lestach 2010-12-21 10:19:07 EST
Displaying correct Channel and Channel Version for child channels.

spacewalk.git: a3cb77008d980b7c3e35f6e3a2bf151cca142915
Comment 7 Tomas Lestach 2011-02-14 09:35:44 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
Not checking channel version for child channels

Consequence
When Adding Red Hat erratum to a child channel, always list of RHEL5 errata will be offered to clone

Result
When Adding Red Hat erratum to a child channel, correct list of errata will be offered to clone
Comment 8 Šimon Lukašík 2011-02-21 05:26:03 EST
Taking a QA contact.
Comment 9 Šimon Lukašík 2011-02-23 03:27:56 EST
Switching to VERIFIED.

Testing procedure:
 - Reproducer from comment 0
 - Ensured also that also parent channels operates correctly
 - Compared behaviour to sat530 and stock sat540

Verified against:
spacewalk-java-1.2.39-36.el5sat
Comment 10 errata-xmlrpc 2011-03-17 10:10:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0362.html

Note You need to log in before you can comment on or make changes to this bug.